Chapa
Refunds

List Refunds

Retrieve refunds with cursor pagination.

GET /v2/refunds
Host: api.chapa.global
Authorization: Bearer <PRIVATE_KEY>

Optional limit defaults to 10. The collection describes filters and cursor pagination but does not enumerate filter or cursor request parameters.

Example Request

For cURL, set PRIVATE_KEY in your shell. Replace the placeholders in the JavaScript example before running it.

cURL
curl -X GET 'https://api.chapa.global/v2/refunds?limit=10' \
  -H "Authorization: Bearer $PRIVATE_KEY"
JavaScript
const response = await fetch("https://api.chapa.global/v2/refunds?limit=10", {
  method: "GET",
  headers: {
  "Authorization": "Bearer <PRIVATE_KEY>"
},
});
const data = await response.json();

console.log(data);
Example Response
200 Success
{
  "status": "success",
  "message": "Refunds retrieved successfully",
  "data": {
    "refunds": [
      {
        "chapa_reference": "REF1766492180842",
        "payment_reference": "CH0Vn2VASWCi",
        "amount": 10000,
        "currency": "ETB",
        "status": "PENDING",
        "reason": "Customer returned the product",
        "created_at": "2026-10-05T09:30:00Z",
        "processed_at": "2026-10-05T09:30:00Z"
      }
    ],
    "pagination": {
      "limit": 10,
      "next_cursor": null,
      "prev_cursor": null,
      "has_more": false
    }
  }
}
401 Error
{
  "status": "error",
  "message": "Invalid API key or User does not exist",
  "error": {
    "code": "UNAUTHORIZED",
    "details": null
  }
}
403 Error
{
  "status": "error",
  "message": "API key environment does not match business environment.",
  "error": {
    "code": "INVALID_VALUE",
    "details": null
  }
}
500 Error
{
  "status": "error",
  "message": "Failed to fetch refunds",
  "error": {
    "code": "PROCESSING_FAILED",
    "details": null
  }
}

Refunds are in data.refunds, rather than data.items. data.pagination contains limit, next_cursor, prev_cursor, and has_more.